<?php

global $lang;

$lang['en_US']['Install']['TITLE'] = 'SilverStripe CMS Installation';
$lang['en_US']['Install']['VERSION'] = 'Version ';
$lang['en_US']['Install']['WELCOME'] = 'Welcome to SilverStripe';
$lang['en_US']['Install']['WELCOMETEXT'] = 'Thanks for choosing to use SilverStripe!  Please follow the instructions below to get SilverStripe installed.';

$lang['en_US']['Install']['SELECTINSTALLLANG'] = 'Select installation language:';
$lang['en_US']['Install']['HASERROROTHERTHENDB'] = 'You aren\'t currently able to install the software.';
$lang['en_US']['Install']['HASERRORMOREINFO'] = 'Please <a href="#requirements">see below</a> for details.<br />
									If you are having problems meeting the requirements, see the <a href="http://doc.silverstripe.org/doku.php?id=server-requirements">server requirements wiki page</a>.';
$lang['en_US']['Install']['HASERROR'] = 'There are some issues that we recommend you look at before installing, however, you are still able to install the software.';
$lang['en_US']['Install']['READY'] = 'You\'re ready to install! &nbsp;&nbsp; ';

$lang['en_US']['Install']['THEME'] = 'Template to install:';
$lang['en_US']['Install']['DEFAULTTHEME'] = 'default template ready to use.';
$lang['en_US']['Install']['EMPTYTHEME'] = 'Empty template, ready to begin the <a href="http://doc.silverstripe.org/doku.php?id=tutorials">tutorial</a>.';
$lang['en_US']['Install']['THEMEINFO'] = 'You can change the template or download another from the <a href="http://silverstripe.org/themes/">SilverStripe website</a> after installation.';

$lang['en_US']['Install']['SENDINFO'] = 'Send information on my webserver to SilverStripe (this is only version information, used for statistical purposes';
																						   
$lang['en_US']['Install']['ALLREADYINSTALLED'] = '<strong>Note:</strong> It seems as though SilverStripe is already installed here.  If you ask me to install, I will overwrite the <strong>.htaccess</strong> and <strong>mysite/_config.php</strong> files.';
$lang['en_US']['Install']['INSTALLOK'] = 'That\'s okay, please re-install SilverStripe and overwrite these files.';
$lang['en_US']['Install']['INSTALL'] = 'Install SilverStripe';
$lang['en_US']['Install']['INSTALLING'] = 'Installing SilverStripe...';
$lang['en_US']['Install']['TAKEAMINUTE'] = 'this will take a minute or so';

$lang['en_US']['Install']['DBERROR'] = 'These database details don\'t appear to be correct.  Please enter the correct details before installing.';
$lang['en_US']['Install']['DBOK'] = 'These database details look all good!';

$lang['en_US']['Install']['MYSQLSERVER'] = 'server';
$lang['en_US']['Install']['MYSQLUSER'] = 'username';
$lang['en_US']['Install']['MYSQLPASS'] = 'password';
$lang['en_US']['Install']['MYSQLDB'] = 'database';
$lang['en_US']['Install']['CHECKREQ'] = 'Re-check requirements';

$lang['en_US']['Install']['MYSQLINFO'] = 'SilverStripe stores its content in a MySQL database.  Please provide the username and password to connect to the server here.  If this account has permission to create databases, then we will create the database for you; otherwise, you must give the name of a database that already exists.';

$lang['en_US']['Install']['SELECTLANG'] = 'SilverStripe Language';
$lang['en_US']['Install']['LANG'] = 'Language';
$lang['en_US']['Install']['LANGINFO'] = 'Silverstripe will be installed in the selected language.';

$lang['en_US']['Install']['ADMINACCOUNT'] = 'SilverStripe Administration Account';
$lang['en_US']['Install']['ADMINEMAIL'] = 'Administrator email';
$lang['en_US']['Install']['ADMINPASS'] = 'Administrator password';
$lang['en_US']['Install']['ADMINFIRSTNAME'] = 'Administrator first name';
$lang['en_US']['Install']['ADMINSURNAME'] = 'Administrator surname';
$lang['en_US']['Install']['ADMININFO'] = 'We will set up 1 administrator account for you automatically.  Enter the email address and password.  If you\'d rather log-in with a username instead of an email address, enter that instead.';

$lang['en_US']['Install']['DEVSITES'] = 'Development servers';
$lang['en_US']['Install']['DEVHELP'] = 'SilverStripe allows you to run a site in <a href="http://doc.silverstripe.com/doku.php?id=devmode">development mode</a>.
								This shows all error messages in the web browser instead of emailing them to the administrator, and allows
								the database to be built without logging in as administrator. Please enter the host/domain names for servers
								you will be using for development.';
								
$lang['en_US']['Install']['REQUIREMENTS'] = 'Requirements';

$lang['en_US']['Install']['MYSQLSUPPORT'] = 'MySQL support';
$lang['en_US']['Install']['MYSQLNOTSUPPORTED'] = 'MySQL support not included in PHP.';
$lang['en_US']['Install']['CANNOTINSTALL'] = 'Cannot install due to errors:\n';
$lang['en_US']['Install']['MYSQLCANACCESS'] = 'Can I access the server with the given credentials?';
$lang['en_US']['Install']['MYSQLNOTWORK'] = 'That username/password doesn\'t work';
$lang['en_US']['Install']['MYSQLCANCREATE'] = 'Can I access/create the database';
$lang['en_US']['Install']['MYSQLCANNOTCREATE'] = 'I can\'t create new databases and the database \'%s\' doesn\'t exist';
$lang['en_US']['Install']['MYSQLMIN'] = 'MySQL version at least 4.1';
$lang['en_US']['Install']['MYSQLIS'] = 'MySQL version 4.1 is required, you only have ';

$lang['en_US']['Install']['PHPINSTALLED'] = 'PHP5 installed';
$lang['en_US']['Install']['PHPVERSION'] = 'PHP5 version';

$lang['en_US']['Install']['FILEPERMKNOWN'] = 'Does the webserver know where files are stored?';
$lang['en_US']['Install']['FILEPERMUNKNOWN'] = 'The webserver isn\'t letting me identify where files are stored.';
$lang['en_US']['Install']['FILEPERMFOLDEREXIST'] = 'folder exists';
$lang['en_US']['Install']['FILEPERMFOLDERWRITABLE'] = 'Is the %s folder writeable?';
$lang['en_US']['Install']['FILEPERMTEMP'] = 'Is the temporary folder writeable?';
$lang['en_US']['Install']['FILEPERMFOLDERNOTEXIST'] = 'There\'s no %s folder';
$lang['en_US']['Install']['FILEPERMFILEWRITABLE'] = 'Is the %s file writeable?';

$lang['en_US']['Install']['SERVERSIGNATURE'] = 'I can\'t tell what webserver you are running';
$lang['en_US']['Install']['SERVERSOFTWARE'] = 'Server software';
$lang['en_US']['Install']['SERVERAPACHE'] = '%s.  Without Apache I can\'t tell if mod_rewrite is enabled.';
$lang['en_US']['Install']['SERVERREWRITE'] = 'mod_rewrite enabled';
$lang['en_US']['Install']['SERVERNOREWRITE'] = 'You need mod_rewrite to run SilverStripe CMS, but it is not enabled.';
$lang['en_US']['Install']['SERVERREWRITEUNKNOWN'] = 'I can\'t tell whether mod_rewrite is running.  You may need to configure a rewriting rule yourself.';

$lang['en_US']['Install']['SERVERRECOGNIZED'] = 'Recognised webserver';
$lang['en_US']['Install']['SERVERUNSUPPORTED'] = 'You seem to be using an unsupported webserver.  The server variables SCRIPT_NAME, HTTP_HOST, SCRIPT_FILENAME need to be set.';

$lang['en_US']['Install']['PHPCONFIG'] = 'PHP Configuration';
$lang['en_US']['Install']['FILEPERM'] = 'File permissions';
$lang['en_US']['Install']['MYSQLCONFIG'] = 'MySQL Configuration';
$lang['en_US']['Install']['SUPPORT'] = 'support';
$lang['en_US']['Install']['NOGD'] = 'PHP must have GD version 2.';
$lang['en_US']['Install']['NOXML'] = 'XML support not included in PHP.';
$lang['en_US']['Install']['NOMYSQL'] = 'MySQL support not included in PHP.';
$lang['en_US']['Install']['NOTOK'] = 'PHP tokenizer support not included in PHP.';

$lang['en_US']['Install']['MB'] = 'Memory allocated (PHP config option \'memory_limit\')';
$lang['en_US']['Install']['MINMB'] = 'SilverStripe needs a minimum of 32M allocated to PHP, but recommends 64M.';
$lang['en_US']['Install']['PHPALLOWCALLTIMEON'] = 'Check that the php.ini setting allow_call_time_pass_reference is on';
$lang['en_US']['Install']['PHPALLOWCALLTIMEOFF'] = 'You can install with allow_call_time_pass_reference not set, but some warnings may get displayed.  For best results, turn it on.';
$lang['en_US']['Install']['MALLOCATED'] = ' You only have %s allocated';

$lang['en_US']['Install']['MUNKNOWN'] = ' We can\'t determine how much memory you have allocated. Install only if you\'re sure you\'ve allocated at least 20 MB.';

$lang['en_US']['Install']['PREVENTINSTALL'] = 'The following problems are preventing me from installing SilverStripe CMS';
$lang['en_US']['Install']['INSTALLEDBUT'] = 'I have installed SilverStripe CMS, however, you should note the following:';

$lang['en_US']['Install']['INSTALLRECOMMENDATION'] = 'SilverStripe recommends PHP version %s Version or later, only %s is installed. While SilverStripe should run, you may run into issues, and future versions of SilverStripe may require a later version. Upgrading PHP is recommended.';
$lang['en_US']['Install']['CANNOTINSTALL'] = 'You need PHP version %s or later, only %s is installed.  Unfortunately PHP$s and PHP%s have some incompatabilities, so if you are on a your web-host may need to move you to a different server.   Some software doesn\'t work with PHP5 and so upgrading a shared server could be problematic.';
$lang['en_US']['Install']['CANNOTINSTALL2'] = 'You need PHP version %s or later, only %s is installed.  Please upgrade your server, or ask your web-host to do so.';
$lang['en_US']['Install']['INSTALLSUCCESS'] = 'I have installed SilverStripe CMS successfully!';
$lang['en_US']['Install']['INSTALLSUCCESS2'] = '\nSilverStripe successfully installed\n';
$lang['en_US']['Install']['OPENCMS'] = 'Open the CMS tool';
$lang['en_US']['Install']['OPENADMIN'] = 'Open the site';

$lang['en_US']['Install']['ENABLEWRITEPERM'] = 'User \'%s\' needs to be able to write to this file: %s 
The file is currently owned by \'%s\'.';
$lang['en_US']['Install']['RECCOMENDWRITEPERM'] = 'We recommend that you make the file writeable.';
$lang['en_US']['Install']['RECCOMENDGROUPPERM'] = '	We recommend that you make the file group-writeable and change the group to one of these groups:  - ';
$lang['en_US']['Install']['NOGROUPPERM'] = '  

There is no user-group that contains both the web-server user and the owner of this file.  Change the ownership of the file, create a new group, or temporarily make the file writeable by everyone during the install process.';
$lang['en_US']['Install']['PERMEXAMPLE'] = ' For example:\nchmod g+w $filename\nchgrp %s $filename';

$lang['en_US']['Install']['NEEDWRITE'] = 'The webserver user needs to be able to write to this file:\n$filename';
$lang['en_US']['Install']['PERMPROBLEM'] = 'Permission problem gaining access to a temp folder.\n\n Please create a folder named silverstripe-cache in the base folder\n\n of the installation and ensure it has the adequate permissions';

$lang['en_US']['Install']['CANTDETERMINEMYSQL'] = 'Cannot determine the version of MySQL installed. Please ensure at least version 4.1 is installed.';

$lang['en_US']['Install']['DBEXISTS'] = 'Database \'%s\' exists';
$lang['en_US']['Install']['PHPVARSMISSING'] = ' (the following PHP variables are missing: ';
												 
$lang['en_US']['Install']['CREATESSENV'] = 'Creating \'mysite/_config.php\' for use with _ss_environment.php...';
$lang['en_US']['Install']['CREATECONF'] = 'Creating \'mysite/_config.php\'...';
$lang['en_US']['Install']['CREATEHTACCESS'] = 'Creating \'.htaccess\' file...';

$lang['en_US']['Install']['CREATEDBSCHEME'] = 'Building database schema...';
$lang['en_US']['Install']['CHECKMODRW'] = 'Checking mod_rewrite works...';
$lang['en_US']['Install']['INSTALLSUCCESSTEXT'] = '<p>Installed SilverStripe successfully.  I will now try and direct you to 
					<a href=\"home/successfullyinstalled?flush=1\">home/successfullyinstalled</a> to confirm that the installation was successful.</p>
					<script>setTimeout(function() { window.location.href = \'home/successfullyinstalled?flush=1\'; }, 1000);</script>';

$lang['en_US']['Install']['CANNOTCREATEFOLDER'] = 'Couldn\'t create a folder called %s';
$lang['en_US']['Install']['CANNOTRENAMEFOLDER'] = 'Couldn\'t rename %s to %s';
$lang['en_US']['Install']['CREATING'] = 'Creating';
$lang['en_US']['Install']['CANNOTWRITEFILE'] = 'Couldn\'t write to file ';

$lang['en_US']['Install']['MODREWRITEERROR'] = 'ERROR: mod_rewrite not working, redirecting to mod_rewrite test page ';
$lang['en_US']['Install']['MODREWRITEERRORREDIR'] = 'I will now try and direct you to <a href=\"rewritetest.php\">rewritetest</a> to troubleshoot mod_rewrite</p>
				<script>setTimeout(function() { window.location.href = \'rewritetest.php\'; }, 1000);</script>';
$lang['en_US']['Install']['MODREWRITESEEMSOK'] = 'Installer seems to be called from command-line, we\'re going to assume that rewriting is working.';






